#define trigPin 6 //PIN USED FOR THE TRIG. GIVE THE OUTPUT 10
#define echoPin 5 //PIN USED FOR THE ECHO. GIVE THE INPUT 9

long duration;
int distance;

#include <SoftwareSerial.h> // include the Software serial library to run serial on Attiny45
SoftwareSerial mySerial(0, 1); // declare my serial ports 1 and 0 (MISO, MOSI)

void setup() { //FUNCTION OF THE PIN


pinMode(trigPin, OUTPUT); 
pinMode(echoPin, INPUT); 
mySerial.begin(9600); //SPEED OF THE MICROCONTROLLER COMMUNICATION. NEED TO BE THE SAME IN PROCESSING TO MAKE THE SPEAK THE SAME LANGUAGE.
}

void loop() { //THIS IS WHAT ROLL OVER AND OVER AGAIN.
 
  digitalWrite(trigPin, LOW);
  delayMicroseconds(5);
  // Trigger the sensor by setting the trigPin high for 10 microseconds:
  digitalWrite(trigPin, HIGH);
  delayMicroseconds(10);
  digitalWrite(trigPin, LOW);
  // Read the echoPin, pulseIn() returns the duration (length of the pulse) in microseconds:
  duration = pulseIn(echoPin, HIGH);
  // Calculate the distance:
  distance = duration * 0.034 / 2;

delay(30);

if (distance <= 10){ //WHEN THE DISCANTE IS MORE THAN 4 YOU WILL SEE ONE PICTURE.
mySerial.write (3); //SEND INFORMATION IN BINARY BECAUSE IS EASY FOR PROCESSING TO READ IT.
}
else if (distance >= 9){ //WHEN THE DISTANCE IS LESS THAN 4 THE PICTURE WILL CHANGE TO OTHER ONE.
mySerial.write (2);
}

delay(250); //DELAY KEEP THE INPUT READING WORKING NICELY EVEN IT IS KEEP IT SLOW.
}
